getCloudMssqlImageProductList

Prev Next

Available in VPC

Get the list of Cloud DB for MSSQL image product codes.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmssql/v2/getCloudMssqlImageProductList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code to view the Cloud DB for MSSQL image product code list for
  • See getRegionList.
  • First Region of the getRegionList query result (default)
productCode String Optional Cloud DB for MSSQL image product code
exclusionProductCode String Optional Filter by excluding Cloud DB for MSSQL image product code.
generationCode String Optional Filter by generation code.
  • G2 | G3
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlImageProductList
?regionCode=KR
&productCode=SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100
&generationCode=G2
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudDbProductList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudMssqlImageProductListResponse": {
            "totalRows": 1,
            "productList": [
                {
                    "productCode": "SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100",
                    "productName": "MSSQL 15.0.4355.3 Enterprise Edition",
                    "productType": {
                        "code": "WINNT",
                        "codeName": "Windows NT"
                    },
                    "productDescription": "Windows Server 2016 with MSSQL 2019 RTM (15.0.4355.3) Enterprise English Edition",
                    "infraResourceType": {
                        "code": "SW",
                        "codeName": "Software"
                    },
                    "baseBlockStorageSize": 107374182400,
                    "platformType": {
                        "code": "WND64",
                        "codeName": "Windows 64 Bit"
                    },
                    "osInformation": "Windows Server 2016 with MSSQL 15.0.4355.3 Enterprise Edition",
                    "generationCode": "G2",
                    "engineVersionCode": "15.0.4355.3"
                }
            ],
            "requestId": "3c2e87fd-****-****-****-339e92c192fb",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMssqlImageProductListResponse>
        <requestId>3c2e87fd-****-****-****-339e92c192fb</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <productList>
            <product>
                <productCode>SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100</productCode>
                <productName>MSSQL 15.0.4355.3 Enterprise Edition</productName>
                <productType>
                    <code>WINNT</code>
                    <codeName>Windows NT</codeName>
                </productType>
                <productDescription>Windows Server 2016 with MSSQL 2019 RTM (15.0.4355.3) Enterprise English Edition</productDescription>
                <infraResourceType>
                    <code>SW</code>
                    <codeName>Software</codeName>
                </infraResourceType>
                <baseBlockStorageSize>107374182400</baseBlockStorageSize>
                <platformType>
                    <code>WND64</code>
                    <codeName>Windows 64 Bit</codeName>
                </platformType>
                <osInformation>Windows Server 2016 with MSSQL 15.0.4355.3 Enterprise Edition</osInformation>
                <generationCode>G2</generationCode>
                <engineVersionCode>15.0.4355.3</engineVersionCode>
            </product>
        </productList>
    </getCloudMssqlImageProductListResponse>